## broadcom-wl 0.5

=== Makefile ===

#
# Makefile fragment for Linux 2.6
# Broadcom 802.11abg Networking Device Driver
#
# Copyright 2008, Broadcom Corporation
# All Rights Reserved.
# 
#      Unless you and Broadcom execute a separate written software license
# agreement governing use of this software, this software is licensed to you
# under the terms of the GNU General Public License version 2, available at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html (the "GPL"), with the
# following added to such license:
#      As a special exception, the copyright holders of this software give you
# permission to link this software with independent modules, regardless of the
# license terms of these independent modules, and to copy and distribute the
# resulting executable under terms of your choice, provided that you also meet,
# for each linked independent module, the terms and conditions of the license
# of that module. An independent module is a module which is not derived from
# this software.
# 
# This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
# the contents of this file may not be disclosed to third parties, copied
# or duplicated in any form, in whole or in part, without the prior
# written permission of Broadcom Corporation.
#
# $Id: Makefile_kbuild_portsrc,v 1.1.2.4 2008/05/02 18:33:39 Exp $

obj-m              += wl.o

wl-objs            := 
wl-objs            += src/wl/sys/wl_linux.o
wl-objs            += src/wl/sys/wl_iw.o
wl-objs            += src/shared/linux_osl.o

EXTRA_CFLAGS       :=
EXTRA_CFLAGS       += -I$(src)/src/include
EXTRA_CFLAGS       += -I$(src)/src/wl/sys

EXTRA_LDFLAGS      := $(src)/lib/wlc_hybrid.o_shipped

V ?= 0
MDIR := misc

KVER ?= $(shell uname -r)
KDIR ?= /lib/modules/$(KVER)/build


all::
        $(MAKE) -C $(KDIR) M=`pwd` modules

install:: all
        $(MAKE) -C $(KDIR) M=`pwd` modules_install

clean::
        $(MAKE) -C $(KDIR) M=`pwd` clean

=== debian/changelog ===
broadcom-wl (0.5) jaunty; urgency=low

  * Load wl module at boot.  Add wl to /etc/modules

 -- Michael Frey <michael.frey@canonical.com>  Mon, 08 Jun 2009 13:08:55 -0400

broadcom-wl (0.4) jaunty; urgency=low

  * Added blacklist file to not load conflicting drivers

 -- Michael Frey <michael.frey@canonical.com>  Thu, 04 Jun 2009 11:46:55 -0400

broadcom-wl (0.3) jaunty; urgency=low

  * Remove debian/dirs file

 -- Michael Frey <michael.frey@canonical.com>  Wed, 03 Jun 2009 16:46:43 -0400

broadcom-dkms (0.2) jaunty; urgency=low

  * Patched for 2.6.30 kernel

 -- Michael Frey <michael.frey@canonical.com>  Wed, 03 Jun 2009 16:13:51 -0400

broadcom-dkms (0.1) jaunty; urgency=low

  * Broadcom wl driver.

 -- Michael Frey <michael.frey@canonical.com>  Wed, 03 Jun 2009 15:56:53 -0400

=== debian/control ===
Source: broadcom-wl
Section: misc
Priority: optional
Maintainer: DKMS <dkms-devel@Dell.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: broadcom-wl
Architecture: all
Depends: dkms (>= 1.95), bash (>> 1.99)
Description: broadcom driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=broadcom
NAME=broadcom
VERSION=wl

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_install
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
